DEV_GET_STATS(9)

NAME
dev_get_stats - get network device statistics

SYNOPSIS

struct rtnl_link_stats64 * dev_get_stats(struct net_device * dev, struct rtnl_link_stats64 * storage);

ARGUMENTS

dev
    device to get statistics from

storage
    place to store stats

DESCRIPTION

Get network statistics from device. Return storage. The device driver may provide its own method by setting dev->netdev_ops->get_stats64 or dev->netdev_ops->get_stats; otherwise the internal statistics structure is used.

COPYRIGHT